Subject: Re: bug#78682: Building libltdl with MSVC fails

From: Kirill Makurin <[email-masked]>
Date: Thu, 5 Jun 2025 16:07:49 +0000

I will submit a separate bug report for issue with clang-cl.

I'm setting NM="dumpbin.exe -nologo -symbols", this works for all packages I tried to build so far.

I'm building multiple GNU packages with a script which invokes `configure` -> `make` -> `make check` -> `make install DESTDIR=...` for each package.

I attached gziped output from both `configure` and `make`. (building from development branch)

Let me know if there's anything else that could be useful.

- Kirill Makurin

________________________________
From: Ileana Dumitrescu
Sent: Friday, June 6, 2025 12:46 AM
To: [email-masked]
Cc: Kirill Makurin
Subject: Re: bug#78682: Building libltdl with MSVC fails

On 05/06/2025 12:13, Kirill Makurin wrote:
> Hi Ileana,
>
> I tried building from development branch and it has the same issue.

Could you provide logs for this test? Also, looking over the previous
attached logs, NM may be the issue. In my test environment, I set
NM="dumpbin -all".

> Out of curiosity I also tried to use clang-cl.exe (this is a clang which
> understands many of cl.exe's options), and I see the following:
>
> ```
> H:/git/libtool/libltdl/ltdl.c(781,19): error: call to undeclared
> function 'access'; ISO C99 and later do not support implicit function
> declarations [-Wimplicit-function-declaration]
> 781 |   int           notfound        = access (filename, R_OK);
>           |                                                  ^
> H:/git/libtool/libltdl/ltdl.c(781,19): note: did you mean 'accept'?
> C:\Program Files (x86)\Windows Kits\10\\include\10.0.22000.0\
> \um\winsock.h(739,19): note: 'accept' declared here
>    739 | SOCKET PASCAL FAR accept (
>             |                                               ^
> ```
>
> On native Windows (mingw/MSVC), `access` function is declared in io.h.
> You may use the following condition to recognize native Windows:
>
> ```
> #if defined (_WIN32) && !defined (__CYGWIN__)
> #endif
> ```

Since this looks like a separate issue, could you submit a new bug for
it? I am also happy to review patches if you have a possible solution.

--
Ileana Dumitrescu

GPG Public Key: FA26 CA78 4BE1 8892 7F22 B99F 6570 EA01 146F 7354